<div class="task">
  <div class="task__description">
    <p>Descripiton </p>
    <p-inplace [closable]="true">
      <ng-template pTemplate="display">
        {{task.description}}
      </ng-template>
      <ng-template pTemplate="content">
        <form (submit)="onDescriptionClick()">
          <input type="text" placeholder="Description" pInputText [formControl]="description">
          <button class="apply" type="button" (click)="onDescriptionClick()">Apply</button>
        </form>
      </ng-template>
    </p-inplace>
  </div>
  <div class="task__start">
    <p>Start</p>
    <p-inplace [closable]="true">
      <ng-template pTemplate="display">
        {{task.start.toDate() | date:"H:mm"}}
      </ng-template>
      <ng-template pTemplate="content">
        <form (submit)="onStartClick()">
          <p-calendar
            id="start"
            [formControl]="start"
            [showTime]="true"
            [hourFormat]="'24'"
          ></p-calendar>
          <button class="apply" type="button" (click)="onStartClick()">Apply</button>
        </form>
      </ng-template>
    </p-inplace>
  </div>
  <div class="task__end">
    <p>End</p>
    <p-inplace [closable]="true">
      <ng-template pTemplate="display">
        {{task.end.toDate() | date: "H:mm"}}
      </ng-template>
      <ng-template pTemplate="content">
        <form (submit)="onEndClick()">
          <p-calendar
            id="end"
            [minDate]="task.start.toDate()"
            styleClass="styleClass"
            [formControl]="end"
            [showTime]="true"
            [hourFormat]="'24'"
          ></p-calendar>
          <button class="apply" type="button" (click)="onEndClick()">Apply</button>
        </form>
      </ng-template>
    </p-inplace>

  </div>
  <div class="task__spended">
    <p class="task__spended__label">Spent time: </p>
    <p class="task__spended_time ">{{spent | duration}} </p>
  </div>
  <button (click)="onDeleteTask()">Delete</button>
</div>
